<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xhtml" version="1.0" omit-xml-declaration="yes" indent="yes"/>


<xsl:template match="webpage">
<xsl:text disable-output-escaping="yes">&lt;!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd"&gt;</xsl:text>

  <html>
  <head>
  	<link rel="stylesheet" type="text/css" href="simple.css" />
  	<title>MockMaker</title>
	</head>
  <body>
  	<table border='0'>
  		<tr align='center'>
  			<td></td>
  			<td colspan='1' align='center'>
  				<br />
  				<img src="title.png" alt="MockMaker Logo" />
  				
  			</td>
  		</tr>
  		<tr>
  			<td width='150' valign='top'>
	    		<xsl:apply-templates select="navbar"/>
	    	</td>
	    	<td valign='top'>
	    		<br /><br />
					<xsl:for-each select="section">
						<xsl:apply-templates select="."/>
					</xsl:for-each>
	    	</td>
	    	<td width='10%'>
					
	    	</td>
	    </tr>
	</table>
	
	<p class='footer'>
		<a  href="http://validator.w3.org/check/referer">
			<img src="http://www.w3.org/Icons/valid-html40" alt="Valid HTML 4.0"  border="0" />
		</a>
		<a href="http://sourceforge.net">
			<img src="http://sourceforge.net/sflogo.php?group_id=33195&amp;amp;type=2"  border="0" alt="SourceForge">
			</img>
		</a>
		

	</p>
	
  </body>
  </html>
</xsl:template>

<xsl:template match="news">
	<table border='1' width='100%' cellpadding='10'>
		<tr>
			<td width='120px' class='newsheading'>
				Date
			</td>
			<td width='*' class='newsheading'>
				News
			</td>
		</tr>
		<xsl:for-each select="newsitem">
			<tr>
				<td width='120px' class='news'>
					<xsl:value-of select="./@date"/>
				</td>
				<td width='*' class='news'>
					<xsl:apply-templates select="."/>
				</td>
			</tr>
		</xsl:for-each>
	</table>
</xsl:template>

<xsl:template match="section">
	<table border='0' width='100%'>
		<tr class='h1'><td colspan='3' class='h1'>
			<h1>
				<xsl:value-of select="./@title"/>
			</h1>
		</td></tr>
		<tr>
			<td class='indentdata'> </td>
			
			<td>
				<xsl:apply-templates />
				<br />
			</td>
			
			<td class='indentdata'> </td>
		</tr>
	</table>	
</xsl:template>



<xsl:template match="navbar">
	<table>
			<xsl:for-each select="navsection">
				<xsl:apply-templates select="."/>
			</xsl:for-each>
	</table>
</xsl:template>


<xsl:template match="navsection">
	<tr>
		<td class='navtitle'>
			<xsl:value-of select="navtitle"/>
		</td>
	</tr>
	
	<tr>
		<td class='naventry'>
			<ul>
				<xsl:for-each select="link">
					<li>
						<xsl:apply-templates select="."/>
					</li>
				</xsl:for-each>
			</ul>
		</td>
	</tr>	
</xsl:template>


<xsl:template match="title">
	<h1>
		<xsl:value-of select="."/>
	</h1>
</xsl:template>

<xsl:template match="subtitle">
	<h2>
		<xsl:value-of select="."/>
	</h2>
</xsl:template>

<xsl:template match="heading">
	<h3>
		<xsl:value-of select="."/>
	</h3>
</xsl:template>

<xsl:template match="br">
	<br />
</xsl:template>


<xsl:template match="p">
	<p>
		<xsl:apply-templates />
	
	</p>
</xsl:template>



<xsl:template match="link">
	<a>
		<xsl:attribute name="href"><xsl:value-of select="resource"/></xsl:attribute>
		<xsl:value-of select="text"/>
	</a>
</xsl:template>

<xsl:template match="simplelink">
	<a>
		<xsl:attribute name="href">http://<xsl:apply-templates /></xsl:attribute>
		<xsl:apply-templates />
	</a>
</xsl:template>


<xsl:template match="picture">
	<img>
		<xsl:attribute name="src"><xsl:value-of select="resource"/></xsl:attribute>
	</img>
</xsl:template>


</xsl:stylesheet>