package mockmaker.structure;

import java.lang.reflect.Method;

public class ReflectionMethodStructure extends ReflectionAbstractStructure {

	private Method mth;

	public ReflectionMethodStructure(Method mth) {
		this.mth = mth;
	}

	public String getName() {
		return mth.getName();
	}

	public ClassStructure getReturnType() {
		return new ReflectionClassStructure(mth.getReturnType());
	}

	public ClassStructure[] getParameterTypes() {
		return convertClasses(mth.getParameterTypes());
	}

	public ClassStructure[] getExceptions() {
		return convertClasses(mth.getExceptionTypes());
	}

	public boolean equals(Object obj) {
		if (obj instanceof ReflectionMethodStructure) {
			ReflectionMethodStructure other = (ReflectionMethodStructure)obj;
			if (!other.getName().equals(getName())) return false;
			if (other.getParameterTypes().length != getParameterTypes().length) return false;
			for (int i = 0; i < other.getParameterTypes().length; i++) {
				ClassStructure otherStructure = other.getParameterTypes()[i];
				ClassStructure thisStructure = getParameterTypes()[i];
				if (!otherStructure.getName().equals(thisStructure.getName())) return false;
			}
			return true;
		}
		return false;
	}

}
