package mockmaker.structure;

import com.thoughtworks.qdox.model.JavaMethod;
import com.thoughtworks.qdox.model.Type;
import com.thoughtworks.qdox.model.JavaParameter;

public class SourceMethodStructure implements MethodStructure {

	private JavaMethod mth;

	SourceMethodStructure(JavaMethod mth) {
		this.mth = mth;
	}

	public String getName() {
		return mth.getName();
	}

	public ClassStructure getReturnType() {
		return new SourceTypeStructure(mth.getReturns(), mth, null);
	}

	public ClassStructure[] getParameterTypes() {
		JavaParameter[]  params = mth.getParameters();
		ClassStructure[] result = new ClassStructure[params.length];
		for (int i = 0; i < params.length; i++) {
			result[i] = new SourceTypeStructure(params[i].getType(), mth, params[i].getName());
		}
		return result;
	}

	public ClassStructure[] getExceptions() {
		Type[] exceptions = mth.getExceptions();
		ClassStructure[] result = new ClassStructure[exceptions.length];
		for (int i = 0; i < exceptions.length; i++) {
			result[i] = new SourceTypeStructure(exceptions[i], mth, null);
		}
		return result;
	}

	public int hashCode() {
		return mth.hashCode();
	}

	public boolean equals(Object obj) {
		SourceMethodStructure s = (SourceMethodStructure)obj;
		return mth.equals(s.mth);
	}
}
