package mockmaker.tests;

import junit.framework.TestCase;
import mockmaker.AntTask;
import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Project;
import org.apache.tools.ant.types.FileSet;

import java.io.File;

public class AntTaskTest extends TestCase {

	private AntTask t;
	private File dir;

	public AntTaskTest(String s) {
		super(s);
	}

	protected void setUp() throws Exception {
		super.setUp();
		t = new AntTask();
		t.setProject(new Project());
		t.setOutput(false);
		dir = new File("tmp/dir");
		dir.mkdirs();
	}

	public void testNoSourceDir() throws Exception {
		try {
			t.execute();
			fail();
		}
		catch (BuildException e) {
			assertEquals("Specify either srcdir attribute or nested <fileset>", e.getMessage());
		}
	}

	public void testSrcDirAttributePresent() throws Exception {
		t.setSrcdir(dir.getPath());
		t.setDestdir(dir.getPath());
		t.execute();
	}

	public void testFileSetPresent() throws Exception {
		FileSet fs = new FileSet();
		fs.setDir(dir);
		t.addFileset(fs);
		t.setDestdir(dir.getPath());
		t.execute();
	}

	public void testNoDestDir() throws Exception {
		t.setSrcdir(dir.getPath());
		try {
			t.execute();
			fail();
		}
		catch (BuildException e) {
			assertEquals("Specify destdir attribute", e.getMessage());
		}
	}

}
