package mockmaker.tests;

import junit.framework.*;
import junit.textui.TestRunner;




import java.io.*;
import mockmaker.*;

public class ConfigurationTest extends TestCase {
public ConfigurationTest(String name) {
	super(name);
}
public static void main(String args[]) {
	TestRunner.main(new String[]{"mockmaker.tests.ConfigurationTest"});
}
public static Test suite ( ) {
	TestSuite suite= new TestSuite(ConfigurationTest.class);
	return suite;
}



public void testDefaults() throws IOException {
	Configuration config = new RealConfiguration("there must be no file called this"); //there is no file called "there must be no file called this"

	assertEquals("addExpected{0}Values", config.addExpectedValuesFormat());
	assertTrue(!config.keepUsingLastReturnValue());
	assertEquals("setup{0}", config.setActualReturnValueFormat());
	assertEquals("setExpected{0}Calls", config.setExpectedCallsFormat());
	assertEquals("Mock{0}", config.classNameFormat());
}

public void testOverride() throws Exception {
	Configuration config = new RealConfiguration("there must be no file called this"); //there is no file called "there must be no file called this"
	config.set("addExpectedValuesFormat", "xxxaddExpected{0}Values");
	assertEquals("xxxaddExpected{0}Values", config.addExpectedValuesFormat());
	assertEquals("setExpected{0}Calls", config.setExpectedCallsFormat());
}

}