package mockmaker.tests;

public class MethodDeclarationArgs {
	private String typeName;
	private String methodName;
	private String[] parameters;
	private String[] statements;
public MethodDeclarationArgs(String typeName, String methodName, String[] parameters, String[] statements) {
	this(typeName,methodName,parameters,NO_EXCEPTIONS,statements);
}
private boolean contains(Object obj, Object[] a2) {
	for (int i = 0; i < a2.length; i++){
		if(a2[i].equals(obj)){
			return true;
		}
	}
	return false;
}
private boolean equalArrays(Object[] a1, Object[] a2) {
	if(a1.length != a2.length){
		return false;
	}
	for (int i = 0; i < a1.length; i++){
		if(!a1[i].equals(a2[i])){
			return false;
		}
	}
	return true;
}
private boolean equalArraysUnordered(Object[] a1, Object[] a2) {
	if(a1.length != a2.length){
		return false;
	}
	for (int i = 0; i < a1.length; i++){
		if(!contains(a1[i],a2)){
			return false;
		}
	}
	return true;
}
public boolean equals(Object other){
	return (other instanceof MethodDeclarationArgs) && equalsOther((MethodDeclarationArgs)other);
}
private boolean equalsOther(MethodDeclarationArgs other) {
	return 	typeName.equals(other.typeName) && 
			methodName.equals(other.methodName) && 
			equalArrays(parameters, other.parameters) &&
			equalArraysUnordered(exceptions, other.exceptions) && 
			equalArraysUnordered(statements, other.statements);
}
public int hashCode(){
	return typeName.hashCode() + methodName.hashCode();
}

	private String[] exceptions;
	private static final String[] NO_EXCEPTIONS = new String[0];

public MethodDeclarationArgs(String typeName, String methodName, String[] parameters, String[] exceptions, String[] statements) {
	super();
	this.typeName = typeName;
	this.methodName = methodName;
	this.parameters = parameters;
	this.exceptions = exceptions;
	this.statements = statements;
}

public String toString(){
	return typeName+" "+methodName+" ("+toString(parameters)+") "+toString(statements);
}

private String toString(Object[] anArray){
	StringBuffer result = new StringBuffer();
	for (int i = 0; i < anArray.length; i++){
		result.append(anArray[i]);
		if(i+1<anArray.length){
			result.append(", ");
		}
	}
	return result.toString();
}
}