package mockmaker.tests;

import com.mockobjects.*;
import mockmaker.*;

public class MockCodeWriter implements CodeWriter{
   private ExpectationCounter myWriteClassDeclarationCalls = new ExpectationCounter("mockmaker.CodeWriter WriteClassDeclarationCalls");
   private ExpectationCounter myFinishCalls = new ExpectationCounter("mockmaker.CodeWriter FinishCalls");
   private ExpectationSet myWriteClassDeclarationParameter0Values = new ExpectationSet("mockmaker.CodeWriter WriteClassDeclarationParameter0Values");
   private ExpectationSet myWriteClassDeclarationParameter1Values = new ExpectationSet("mockmaker.CodeWriter WriteClassDeclarationParameter1Values");
   private ExpectationCounter myWriteImportCalls = new ExpectationCounter("mockmaker.CodeWriter WriteImportCalls");
   private ExpectationSet myWriteImportParameter0Values = new ExpectationSet("mockmaker.CodeWriter WriteImportParameter0Values");
   private ExpectationCounter myWritePackageCalls = new ExpectationCounter("mockmaker.CodeWriter WritePackageCalls");
   private ExpectationSet myWritePackageParameter0Values = new ExpectationSet("mockmaker.CodeWriter WritePackageParameter0Values");
   private ExpectationCounter myWriteInstanceVariableDeclarationCalls = new ExpectationCounter("mockmaker.CodeWriter WriteInstanceVariableDeclarationCalls");
   private ExpectationCounter myWriteInstanceVariableDeclarationCallsNoInitVal = new ExpectationCounter("mockmaker.CodeWriter WriteInstanceVariableDeclarationCalls");
   private ExpectationSet myWriteInstanceVariableDeclarationParameter0Values = new ExpectationSet("mockmaker.CodeWriter WriteInstanceVariableDeclarationParameter0Values");
   private ExpectationSet myWriteInstanceVariableDeclarationParameter1Values = new ExpectationSet("mockmaker.CodeWriter WriteInstanceVariableDeclarationParameter1Values");
   private ExpectationSet myWriteInstanceVariableDeclarationParameter2Values = new ExpectationSet("mockmaker.CodeWriter WriteInstanceVariableDeclarationParameter2Values");
   private ExpectationCounter myWriteMethodDeclarationCalls = new ExpectationCounter("mockmaker.CodeWriter WriteMethodDeclarationCalls");
   private ExpectationSet myWriteMethodDeclarationParameterValues = new ExpectationSet("mockmaker.CodeWriter WriteMethodDeclarationParameterValues");
public MockCodeWriter() {
	super();
}
   public void addExpectedWriteClassDeclarationValues(String arg0, String arg1){
	  myWriteClassDeclarationParameter0Values.addExpected(arg0);
	  myWriteClassDeclarationParameter1Values.addExpected(arg1);
   }
   public void addExpectedWriteImportValues(String arg0){
	  myWriteImportParameter0Values.addExpected(arg0);
   }
   public void addExpectedWritePackageValues(String arg0){
    myWritePackageParameter0Values.addExpected(arg0);
   }
   public void addExpectedWriteInstanceVariableDeclarationValues(String arg0, String arg1){
	  myWriteInstanceVariableDeclarationParameter0Values.addExpected(arg0);
	  myWriteInstanceVariableDeclarationParameter1Values.addExpected(arg1);
   }
   public void addExpectedWriteInstanceVariableDeclarationValues(String arg0, String arg1, String arg2){
	  myWriteInstanceVariableDeclarationParameter0Values.addExpected(arg0);
	  myWriteInstanceVariableDeclarationParameter1Values.addExpected(arg1);
	  myWriteInstanceVariableDeclarationParameter2Values.addExpected(arg2);
   }
   public void addExpectedWriteMethodDeclarationValues(String arg1, String[] arg3){
	  myWriteMethodDeclarationParameterValues.addExpected(new MethodDeclarationArgs("void",arg1,new String[0],arg3));
   }
   public void addExpectedWriteMethodDeclarationValues(String arg1, String[] arg2, String[] arg3){
	  myWriteMethodDeclarationParameterValues.addExpected(new MethodDeclarationArgs("void",arg1,arg2,arg3));
   }
   public void addExpectedWriteMethodDeclarationValues(String arg0, String arg1, String[] arg3){
	  myWriteMethodDeclarationParameterValues.addExpected(new MethodDeclarationArgs(arg0,arg1,new String[0],arg3));
   }
   public void addExpectedWriteMethodDeclarationValues(String arg0, String arg1, String[] arg2, String[] arg3){
	  myWriteMethodDeclarationParameterValues.addExpected(new MethodDeclarationArgs(arg0,arg1,arg2,arg3));
   }
public void finish() {
	myFinishCalls.inc();
}
   public void setExpectedFinishCalls(int calls){
	  myFinishCalls.setExpected(calls);
   }
   public void setExpectedWriteClassDeclarationCalls(int calls){
	  myWriteClassDeclarationCalls.setExpected(calls);
   }
   public void setExpectedWriteImportCalls(int calls){
	  myWriteImportCalls.setExpected(calls);
   }
   public void setExpectedWritePackageCalls(int calls){
    myWritePackageCalls.setExpected(calls);
   }
   public void setExpectedWriteInstanceVariableDeclarationCalls(int calls){
	  myWriteInstanceVariableDeclarationCalls.setExpected(calls);
   }
   public void setExpectedWriteMethodDeclarationCalls(int calls){
	  myWriteMethodDeclarationCalls.setExpected(calls);
   }
   public void verify(){
	  myWriteClassDeclarationCalls.verify();
	  myWriteClassDeclarationParameter0Values.verify();
	  myWriteClassDeclarationParameter1Values.verify();
	  myWriteImportCalls.verify();
    myWritePackageCalls.verify();
	  myWriteImportParameter0Values.verify();
    myWritePackageParameter0Values.verify();
	  myWriteInstanceVariableDeclarationCalls.verify();
	  myWriteInstanceVariableDeclarationCallsNoInitVal.verify();
	  myWriteInstanceVariableDeclarationParameter0Values.verify();
	  myWriteInstanceVariableDeclarationParameter1Values.verify();
	  myWriteInstanceVariableDeclarationParameter2Values.verify();
	  myWriteMethodDeclarationCalls.verify();
	  myWriteMethodDeclarationParameterValues.verify();
	  myFinishCalls.verify();
	  myWriteSubclassDeclarationCalls.verify();
	  myWriteSubclassDeclarationParameter0Values.verify();
	  myWriteSubclassDeclarationParameter1Values.verify();
	  myWriteConstructorMethodDeclarationCalls.verify();
	  myWriteConstructorMethodDeclarationParameter0Values.verify();
	  myWriteConstructorMethodDeclarationParameter1Values.verify();
   }
   public void writeClassDeclaration(String arg0, String arg1){
	  myWriteClassDeclarationCalls.inc();
	  myWriteClassDeclarationParameter0Values.addActual(arg0);
	  myWriteClassDeclarationParameter1Values.addActual(arg1);
   }
   public void writeImport(String arg0){
	  myWriteImportCalls.inc();
	  myWriteImportParameter0Values.addActual(arg0);
   }
   public void writePackage(String arg0){
    myWritePackageCalls.inc();
    myWritePackageParameter0Values.addActual(arg0);
   }
   public void writeInstanceVariableDeclaration(String arg0, String arg1){
	  myWriteInstanceVariableDeclarationCalls.inc();
	  myWriteInstanceVariableDeclarationParameter0Values.addActual(arg0);
	  myWriteInstanceVariableDeclarationParameter1Values.addActual(arg1);
   }
   public void writeInstanceVariableDeclaration(String arg0, String arg1, String arg2){
	  myWriteInstanceVariableDeclarationCalls.inc();
	  myWriteInstanceVariableDeclarationParameter0Values.addActual(arg0);
	  myWriteInstanceVariableDeclarationParameter1Values.addActual(arg1);
	  myWriteInstanceVariableDeclarationParameter2Values.addActual(arg2);
   }
   public void writeMethodDeclaration(String arg0, String arg1, String[] arg2, String[] arg3){
	  myWriteMethodDeclarationCalls.inc();
	  myWriteMethodDeclarationParameterValues.addActual(new MethodDeclarationArgs(arg0,arg1,arg2,arg3));
   }

   private ExpectationCounter myWriteMethodDeclarationThrowsExceptionsCalls = new ExpectationCounter("mockmaker.CodeWriter WriteMethodDeclarationThrowsExceptionsCalls");
   private ExpectationSet myWriteMethodDeclarationThrowsExceptionsParameterValues = new ExpectationSet("mockmaker.CodeWriter WriteMethodDeclarationThrowsExceptionsParameterValues");

   public void addExpectedWriteMethodDeclarationThrowsExceptionsValues(String arg1, String[] arg3){
	  myWriteMethodDeclarationThrowsExceptionsParameterValues.addExpected(new MethodDeclarationArgs("void",arg1,new String[0],arg3));
   }

   public void addExpectedWriteMethodDeclarationThrowsExceptionsValues(String arg1, String[] arg2, String[] arg3){
	  myWriteMethodDeclarationThrowsExceptionsParameterValues.addExpected(new MethodDeclarationArgs("void",arg1,arg2,arg3));
   }

   public void addExpectedWriteMethodDeclarationThrowsExceptionsValues(String arg0, String arg1, String[] arg3){
	  myWriteMethodDeclarationThrowsExceptionsParameterValues.addExpected(new MethodDeclarationArgs(arg0,arg1,new String[0],arg3));
   }

   public void addExpectedWriteMethodDeclarationThrowsExceptionsValues(String arg0, String arg1, String[] arg2, String[] arg3){
	  myWriteMethodDeclarationThrowsExceptionsParameterValues.addExpected(new MethodDeclarationArgs(arg0,arg1,arg2,arg3));
   }

   public void addExpectedWriteMethodDeclarationThrowsExceptionsValues(String arg0, String arg1, String[] arg2, String[] arg3, String[] arg4){
	  myWriteMethodDeclarationThrowsExceptionsParameterValues.addExpected(new MethodDeclarationArgs(arg0,arg1,arg2,arg3,arg4));
   }

   public void setExpectedWriteMethodDeclarationThrowsExceptionsCalls(int calls){
	  myWriteMethodDeclarationThrowsExceptionsCalls.setExpected(calls);
   }

public void writeMethodDeclarationThrowsExceptions(String typeName, String methodName, String[] parameters, String[] exceptions, String[] statements) {
	  myWriteMethodDeclarationThrowsExceptionsCalls.inc();
	  myWriteMethodDeclarationThrowsExceptionsParameterValues.addActual(new MethodDeclarationArgs(typeName,methodName,parameters,exceptions,statements));
}

   private ExpectationCounter myWriteConstructorMethodDeclarationCalls = new ExpectationCounter("mockmaker.CodeWriter2 WriteConstructorMethodDeclarationCalls");
   private ExpectationList myWriteConstructorMethodDeclarationParameter0Values = new ExpectationList("mockmaker.CodeWriter2 WriteConstructorMethodDeclarationParameter0Values");
   private ExpectationList myWriteConstructorMethodDeclarationParameter1Values = new ExpectationList("mockmaker.CodeWriter2 WriteConstructorMethodDeclarationParameter1Values");
   private ExpectationCounter myWriteSubclassDeclarationCalls = new ExpectationCounter("mockmaker.CodeWriter2 WriteSubclassDeclarationCalls");
   private ExpectationList myWriteSubclassDeclarationParameter0Values = new ExpectationList("mockmaker.CodeWriter2 WriteSubclassDeclarationParameter0Values");
   private ExpectationList myWriteSubclassDeclarationParameter1Values = new ExpectationList("mockmaker.CodeWriter2 WriteSubclassDeclarationParameter1Values");

   public void addExpectedWriteConstructorMethodDeclarationValues(String arg0, String[] arg1){
	  myWriteConstructorMethodDeclarationParameter0Values.addExpected(arg0);
	  myWriteConstructorMethodDeclarationParameter1Values.addExpectedMany(arg1);
   }

   public void addExpectedWriteSubclassDeclarationValues(String arg0, String arg1){
	  myWriteSubclassDeclarationParameter0Values.addExpected(arg0);
	  myWriteSubclassDeclarationParameter1Values.addExpected(arg1);
   }

   public void setExpectedWriteConstructorMethodDeclarationCalls(int calls){
	  myWriteConstructorMethodDeclarationCalls.setExpected(calls);
   }

   public void setExpectedWriteSubclassDeclarationCalls(int calls){
	  myWriteSubclassDeclarationCalls.setExpected(calls);
   }

   public void writeConstructorMethodDeclaration(String arg0, String[] arg1){
	  myWriteConstructorMethodDeclarationCalls.inc();
	  myWriteConstructorMethodDeclarationParameter0Values.addActual(arg0);
	  myWriteConstructorMethodDeclarationParameter1Values.addActualMany(arg1);
   }

   public void writeSubclassDeclaration(String arg0, String arg1){
	  myWriteSubclassDeclarationCalls.inc();
	  myWriteSubclassDeclarationParameter0Values.addActual(arg0);
	  myWriteSubclassDeclarationParameter1Values.addActual(arg1);
   }
}