package org.subconscious.mockmaker.gui;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

/**
 * Title:        AlertDialog
 * Description:  Simple alert box used by MockMaker's GUIFrame.
 * @author       <a href="mailto:scott@vlaminck.com">Scott Vlaminck</a>
 */

public class AlertDialog extends JDialog {
  JPanel panel1 = new JPanel();
  JButton jButton_OK = new JButton();
  JScrollPane jScrollPane1 = new JScrollPane();
  JTextArea jTextArea_message = new JTextArea();
  GridBagLayout gridBagLayout1 = new GridBagLayout();

  public AlertDialog(Frame frame, String title, boolean modal) {
	super(frame, title, modal);
	try {
	  jbInit();
	  pack();
	}
	catch(Exception ex) {
	  ex.printStackTrace();
	}
  }  

  public AlertDialog() {
	this(null, "", true);
  }  

  void jbInit() throws Exception {
	panel1.setLayout(gridBagLayout1);
	jButton_OK.setText("OK");
	jButton_OK.addActionListener(new java.awt.event.ActionListener() {
	  public void actionPerformed(ActionEvent e) {
		jButton_OK_actionPerformed(e);
	  }
	});
	jTextArea_message.setEditable(false);
	getContentPane().add(panel1);
	panel1.add(jButton_OK,  new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
			,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(19, 162, 16, 167), 20, 1));
	panel1.add(jScrollPane1,  new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
			,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(26, 23, 0, 26), 347, 46));
	jScrollPane1.getViewport().add(jTextArea_message, null);
  }  

  public void setMessage( String message ) {
	jTextArea_message.setText( message );
  }  

  public String getMessage() {
	return jTextArea_message.getText();
  }  

  void jButton_OK_actionPerformed(ActionEvent e) {
	this.hide();
  }  
}