package org.subconscious.mockmaker.gui;

import javax.swing.UIManager;
import java.awt.*;

/**
 * Title:        MockMakerGui
 * Description:  The application used to launch the gui frame for MockMaker.
 *               This is used to run MockMaker as a standalone GUI application.
 * @author       <a href="mailto:scott@vlaminck.com">Scott Vlaminck</a>
 */

 public class MockMakerGUI {
  boolean packFrame = false;

  /**Construct the application*/
  public MockMakerGUI() {
	GUIFrame frame = new GUIFrame();
	//Validate frames that have preset sizes
	//Pack frames that have useful preferred size info, e.g. from their layout
	if (packFrame) {
	  frame.pack();
	}
	else {
	  frame.validate();
	}
	//Center the window
	Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
	Dimension frameSize = frame.getSize();
	if (frameSize.height > screenSize.height) {
	  frameSize.height = screenSize.height;
	}
	if (frameSize.width > screenSize.width) {
	  frameSize.width = screenSize.width;
	}
	frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
	frame.setVisible(true);
  }  
  /**Main method*/
  public static void main(String[] args) {
	try {
	  UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
	}
	catch(Exception e) {
	  e.printStackTrace();
	}
	new MockMakerGUI();
  }  
}